﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.3
@EndOfDesignText@
#DesignerProperty: Key: BooleanExample, DisplayName: Show Seconds, FieldType: Boolean, DefaultValue: True
#DesignerProperty: Key: TextColor, DisplayName: Text Color, FieldType: Color, DefaultValue: 0xFFFFFFFF, Description: Text color

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Public mBase As B4XView
	Private xui As XUI 'ignore
	Public Tag As Object
	
	Private IconsFont As B4XFont
	Private MyPanel As B4XView
	Private Labelb4x As B4XView
	Private Labelb5x As B4XView
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	#if B4A
	IconsFont = xui.CreateFont(Typeface.LoadFromAssets("icomoon.ttf"),128)
	#Else	
	Dim fx As JFX
	IconsFont = xui.CreateFont(fx.LoadFont(File.DirAssets,"icomoon.ttf",64),64)
	#End if
End Sub

'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
    Tag = mBase.Tag
	mBase.Tag = Me
	
'	Dim clr As Int = xui.PaintOrColorToColor(Props.Get("TextColor")) 'Example of getting a color value from Props
	
	MyPanel = xui.CreatePanel("")

	Labelb4x = CreateLabel("")
	Labelb4x.Font = IconsFont
	Labelb4x.Text = Chr(0xe900)
	Labelb4x.TextSize = 50
	Labelb4x.TextColor = xui.Color_Blue
	Labelb4x.Color = xui.Color_Red
	Labelb4x.SetTextAlignment("CENTER","CENTER")
	
	Labelb5x = CreateLabel("")
	Labelb5x.Font = IconsFont
	Labelb5x.Text = Chr(0xe900)
	Labelb5x.TextSize = 50
	Labelb5x.TextColor = xui.Color_Blue
	Labelb5x.Rotation = 90
	Labelb5x.SetTextAlignment("CENTER","CENTER")
	
	Dim PanelIcon2 As B4XView = xui.CreatePanel("")
	PanelIcon2.Color = xui.Color_Red

	mBase.AddView(MyPanel, 0, 0, mBase.Width, mBase.Height)
	MyPanel.AddView(Labelb4x, MyPanel.Left + 1, MyPanel.Top + 1, 80, MyPanel.Height - 2)
	MyPanel.AddView(PanelIcon2, mBase.Width - 82, MyPanel.Top + 1, 80, MyPanel.Height - 2)
	PanelIcon2.AddView(Labelb5x, 0, 0, PanelIcon2.Width, PanelIcon2.Height)
	
	mBase.SetColorAndBorder(xui.Color_White, 2dip, xui.Color_Black, 0dip)

End Sub

Private Sub Base_Resize (Width As Double, Height As Double)

End Sub

'Create a Label.
Public Sub CreateLabel(EventName As String) As B4XView
	Dim lbl As Label
	lbl.Initialize(EventName)
	Return lbl
End Sub
